path <- commandArgs()[6]


##############################
posterior <- function(p, n, y) {
    exp(y * log(p) + (n-y) * log(1-p) - lbeta(y+1, n-y+1))
}
pv <- seq(0, 1, by = 0.0025)
postscript(
  file=paste(path, "grp2.1-1.eps", sep=""), width = 16, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(2.3, 0.5, 0.5, 0.5))
par(mfrow=c(2, 2))
######## n = 5, y = 3 ########
plot(
  pv, posterior(pv, 5, 3), xlim = c(0, 1), type = 'l',
  lty = 1, col = "#E64B6B", lwd = 6,
  yaxt = "n", xlab = NA, ylab = NA
)
text(
  1, max(posterior(pv, 5, 3)) * 0.95,
  expression(paste("n = 5, y = 3")), pos = 2, offset = 0
)
####### n = 20, y = 12 #######
plot(
  pv, posterior(pv, 20, 12), xlim = c(0, 1), type = 'l',
  lty = 1, col = "#E64B6B", lwd = 6,
  yaxt = "n", xlab = NA, ylab = NA
)
text(
  1, max(posterior(pv, 20, 12)) * 0.95,
  expression(paste("n = 20, y = 12")), pos = 2, offset = 0
)
###### n = 100, y = 60 #######
plot(
  pv, posterior(pv, 100, 60), xlim = c(0, 1), type = 'l',
  lty = 1, col = "#E64B6B", lwd = 6,
  yaxt = "n", xlab = NA, ylab = NA
)
text(
  1, max(posterior(pv, 100, 60)) * 0.95,
  expression(paste("n = 100, y = 60")), pos = 2, offset = 0
)
###### n = 1000, y = 600 #####
plot(
  pv, posterior(pv, 1000, 600), xlim = c(0, 1), type = 'l',
  lty = 1, col = "#E64B6B", lwd = 6,
  yaxt = "n", xlab = NA, ylab = NA
)
text(
  1, max(posterior(pv, 1000, 600)) * 0.95,
  expression(paste("n = 1000, y = 600")), pos = 2, offset = 0
)
dev.off()