path <- commandArgs()[6]

##############################
f.bin <- function(p) {
    n <- 5; y <- 3;
    exp(y * log(p) + (n-y) * log(1-p) - lbeta(y+1, n-y+1))
}
postscript(
  file=paste(path, "grp2.3-2.eps", sep=""), width = 16, height = 6, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(2, 1, 2, 1))
par(mfrow=c(1, 2))
par(bty="l")
##############################
curve(
  f.bin, 0, 1, n = 1001,
  lty = 1, col = "#E64B6B", lwd = 3,
  yaxt = "n",
  main = "central posterior interval",
  panel.first = grid(NULL, NA, lty = 2, col = "#E9DECA")
)
xvals <- seq(0.22278, 0.88188, length=100)
dvals <- f.bin(xvals)
polygon(c(xvals,rev(xvals)), c(rep(0,100),rev(dvals)), col="#E64B6B", border = NA)
text(
  0, max(f.bin(seq(0, 1, by=0.0025))) * 0.85,
  expression(paste("n = 5\ny = 3")), pos = 4, offset = 0
)
abline(v = c(0.22278, 0.88188), lty=2)

##############################
curve(
  f.bin, 0, 1, n = 1001,
  lty = 1, col = "#E64B6B", lwd = 3,
  yaxt = "n",
  main = "highest posterior density interval",
  panel.first = grid(NULL, NA, lty = 2, col = "#E9DECA")
)
xvals <- seq(0.238707, 0.895169, length=50)
dvals <- f.bin(xvals)
polygon(c(xvals,rev(xvals)), c(rep(0,50),rev(dvals)), col="#E64B6B", border = NA)
text(
  0, max(f.bin(seq(0, 1, by=0.0025))) * 0.85,
  expression(paste("n = 5\ny = 3")), pos = 4, offset = 0
)
abline(v = c(0.238707, 0.895169), lty=2)

dev.off()
