path <- commandArgs()[6]


##############################
f.chisq <- function(x) {
    dchisq(x, 2)
}
postscript(
  file=paste(path, "grp2.3-3.eps", sep=""), width = 16, height = 6, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(2, 1, 2, 1), mgp=c(2.0, 0.7, 0))
par(mfrow=c(1, 2))
par(bty="l")
##############################
curve(
  f.chisq, 0, 7, n = 1001,
  lty = 1, col = "#E64B6B", lwd = 3,
  main = "central posterior interval", yaxt="n", ylab="",
  panel.first = grid(NULL, NA, lty = 2, col = "#E9DECA")
)
xvals <- seq(qchisq(0.05, 2), qchisq(0.95, 2), length=100)
dvals <- f.chisq(xvals)
polygon(c(xvals,rev(xvals)), c(rep(0,100),rev(dvals)), col="#E64B6B", border = NA)
abline(v=c(qchisq(0.05, 2), qchisq(0.95, 2)), lty=2)
text(3.5, 0.47, expression(paste(chi^2, "(2)")), pos=1, offset=0)

##############################
curve(
  f.chisq, 0, 7, n = 1001,
  lty = 1, col = "#E64B6B", lwd = 3,
  main = "highest posterior density region", yaxt="n", ylab="",
  panel.first = grid(NULL, NA, lty = 2, col = "#E9DECA")
)
xvals <- seq(0, qchisq(0.90, 2), length=100)
dvals <- f.chisq(xvals)
polygon(c(xvals,rev(xvals)), c(rep(0,100),rev(dvals)), col="#E64B6B", border = NA)
abline(v=c(0, qchisq(0.90, 2)), lty=2)
text(3.5, 0.47, expression(paste(chi^2, "(2)")), pos=1, offset=0)

dev.off()
