path <- commandArgs()[6]

##############################
set.seed(8769453)
y <- rbeta(1000, 438, 544)
z <- log(y/(1-y))
w <- (1-y)/y

##############################
postscript(
  file=paste(path, "grp2.5-1.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 0.5, 0.5, 0.5), mgp=c(2.0, 0.7, 0))
hist(
  y, breaks = 25, col = "#E64B6B", border = "white",
  yaxt = "n", xlim=c(0.35, 0.55), main=NA, ylab=NA, xlab=expression(theta)
)
dev.off()

##############################
postscript(
  file=paste(path, "grp2.5-2.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 0.5, 0.5, 0.5), mgp=c(2.0, 0.7, 0))
hist(
  z, breaks = 25, col = "#E64B6B", border = "white",
  yaxt = "n", xlim=c(-0.6, 0.1), main=NA, ylab=NA, xlab=expression(paste("logit(", theta, ")"))
)
dev.off()

##############################
postscript(
  file=paste(path, "grp2.5-3.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 0.5, 0.5, 0.5), mgp=c(2.0, 0.7, 0))
hist(
  w, breaks = 25, col = "#E64B6B", border = "white",
  yaxt = "n", xlim=c(0.91, 1.63), main=NA, ylab=NA, xlab=expression(paste("(1 - ", theta, ") / ", theta))
)
dev.off()
