path <- commandArgs()[6]

##############################
prior <- function(x) {
  a <- 0.385
  b <- 0.585
  c <- (a + b) / 2
  if      (a <= x & x <= c) return(2*(x - a) / ((b - a) * (c - a)) / 2 + 1 / 2)
  else if (c <  x & x <= b) return(2*(b - x) / ((b - a) * (b - c)) / 2 + 1 / 2)
  else                      return(1 / 2)
}

y <- NULL
S <- seq(0, 1, 0.0005)
for (i in S) {
  y <- append(y, prior(i))
}

##############################
postscript(
  file=paste(path, "grp2.5-4.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 0.5, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
par(bty="n")
plot(
  S, y, xlim = c(0, 1),
  type = "l", col = "#E64B6B",
  xlab = expression(theta), ylab = NA,
  yaxt = "n", lwd = 8, main = "prior density"
)
dev.off()
