path <- commandArgs()[6]

##############################
set.seed(11451355)
cdf <- function(x) {
  a <- 0.385
  b <- 0.585
  c <- (a + b) / 2
  if      (0 > x)           return(0)
  else if (0 <= x & x <= a) return(x * 0.5)
  else if (a <  x & x <= c) return((x - a)^2 / ((b - a) * (c - a)) / 2 + x * 0.5)
  else if (c <  x & x <= b) return((1 - (b - x)^2 / ((b - a) * (b - c))) / 2 + x * 0.5)
  else if (b <= x & x <= 1) return(1 / 2 + x * 0.5)
  else                      return(1)
}

y <- NULL
b <- NULL

S <- seq(0, 1, 0.001)
for (i in S) {
  y <- append(y, cdf(i) - cdf(i - 0.001))
  b <- append(b, dbinom(437, 980, i))
}
z <- sample(S, 1000, replace=TRUE, prob=y*b/sum(y*b))

##############################
postscript(
  file=paste(path, "grp2.5-5.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 0.5, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
hist(
  z, breaks = 25, col = "#E64B6B", border = "white",
  yaxt = "n", xlim=c(0.35, 0.55), main="posterior simulations", ylab=NA, xlab=expression(theta)
)
dev.off()
