path <- commandArgs()[6]

##############################
load(paste(path, "football.RData", sep=""))
result <- (football$favorite - football$underdog) - football$spread

norm014 <- function(x) exp(-x^2 / (2 * 14^2)) / sqrt(2 * pi * 14^2)

##############################
postscript(
  file=paste(path, "grp2.7-1.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 0.5, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
hist(
  result, n = 50, 
  col = "#E64B6B", border = "white", yaxt = "n",
  xlab = "outcome - point spread", ylab = NA,
  main = "Figure 1.2 (b)", probability = T
)
curve(
  norm014, -45, 45, lty = 2, lwd = 3, add = T,
  col = "black"
)
text(20, 0.03, expression(paste("N(0, ", 14^2, ")")), cex = .8)
dev.off()
