path <- commandArgs()[6]

##############################
set.seed(11451355)
z1 <- rgamma(1000, 6, rate=7)
z2 <- rgamma(1000, 33, rate=25)

##############################
postscript(
  file=paste(path, "grp2.7-4.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 0.5, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
hist(
  z1, breaks = 35, col = "#E64B6B", border = "white",
  yaxt = "n", xlim=c(0, 3), main="posteror simulation", ylab=NA, 
  xlab=expression(paste("asthma mortality rate (", theta, ")")),
  probability = T
)
text(
  3, max(dgamma(seq(0, 3, by=.1), 6, 7)),
  expression(paste(Gamma, "(6, 7)")), pos=2, cex=.8
)
dev.off()

##############################
postscript(
  file=paste(path, "grp2.7-5.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 0.5, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
hist(
  z2, breaks = 22, col = "#E64B6B", border = "white",
  yaxt = "n", xlim=c(0, 3), main="posteror simulation", ylab=NA, 
  xlab=expression(paste("asthma mortality rate (", theta, ")")),
  probability = T
)
text(
  3, max(dgamma(seq(0, 3, by=.1), 33, 25)),
  expression(paste(Gamma, "(33, 25)")), pos=2, cex=.8
)
dev.off()
