path <- commandArgs()[6]

##########################################
# ߎꍇ
n <- 500
y <- 240

Bin <- function(x) {
  exp(lchoose(n, y) + y * log(x) + (n-y) * log(1-x))
}

LAP <- function(x) {
  d2lf <- function(n, y) {
    -exp((3 * log(n) - (log(n - y) + log(y))))
  }
  lap <- Bin(y/n) * exp((x - y/n) * d2lf(n, y) * (x - y/n) / 2)
}
##########################################

postscript(
  file=paste(path, "Ap03-1.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 3.2, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
par(bty="l")
curve(
  Bin, 0.35, 0.6, n = 1000, lty = 1,
  xlab = expression(paste(theta)), lwd = 6,
  ylab = "binomial & laplace appriximation likelihood",
  main = "n = 500, y = 240", col="#E64B6B"
)
curve(
  LAP, 0.35, 0.6, n = 1000, lty = 2,
  xlab = expression(paste(theta)), add=T, lwd = 6,
  ylab = "laplace appriximation likelihood", col="#89BDDE"
)
bq <- expression(paste("Bin=", 1.99%*%10^{-3}))
lq <- expression(paste("LAP=", 1.99%*%10^{-3}))
legend(
  0.35, 0.036, c(bq, lq), col=c("#E64B6B", "#89BDDE"),
  lty = c(1, 1), merge = TRUE, lwd=c(6, 6), cex=.8
)
dev.off()

##########################################
# ߎǂȂꍇ
n <- 30
y <- 2

Bin <- function(x) {
  exp(lchoose(n, y) + y * log(x) + (n-y) * log(1-x))
}

LAP <- function(x) {
  d2lf <- function(n, y) {
    -exp((3 * log(n) - (log(n - y) + log(y))))
  }
  lap <- Bin(y/n) * exp((x - y/n) * d2lf(n, y) * (x - y/n) / 2)
}
##########################################

postscript(
  file=paste(path, "Ap03-2.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 3.2, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
par(bty="l")
curve(
  Bin, 0, 1, n = 1000, lty = 1,
  xlab = expression(paste(theta)), lwd = 6,
  ylab = "binomial & laplace appriximation likelihood",
  main = "n = 30, y = 2", col="#E64B6B"
)
curve(
  LAP, 0, 1, n = 1000, lty = 1, add = TRUE,
  xlab = expression(paste(theta)), lwd = 6,
  ylab = "laplace appriximation likelihood", col="#89BDDE"
)
bq <- expression(paste("Bin=", 3.23%*%10^{-2}))
lq <- expression(paste("LAP=", 3.20%*%10^{-2}))
legend(
  0.63, 0.28, c(bq, lq), col=c("#E64B6B", "#89BDDE"),
  lty = c(1, 1), merge = TRUE, lwd=c(6, 6), cex=.8
)
dev.off()
