path <- commandArgs()[6]

##############################
Ex01 <- function(p) {
  n <- 10
  exp((1 + n) * log(1-p) + 3 * log(p) + log(2 + (-2 + n) * p * (2 + (-1 + n) * p)) +
  lgamma(8 + n) - (2 * log(6) + log(2 + n + 5 * n^2) + lgamma(2 + n)))
}
postscript(
  file=paste(path, "Ex01.eps", sep=""), width = 9, height = 9, pointsize = 20,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 3.2, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
par(mfrow=c(1, 1))
par(bty="l")
curve(
  Ex01, 0, 1, n = 1001,
  lty = 1, col = "#E64B6B", lwd = 3, 
  xlab = expression(theta),
  ylab = expression(paste("p(", theta ,"|", y<3, ")")),
  main = "posterior density",
  panel.first = grid(NA, NULL, lty = 2, col = "#E9DECA")
)
dev.off()

