path <- commandArgs()[6]

##############################
Ex03 <- function(y) {
  m <- 1000 / 6
  s <- 5000 / 36
  1 / sqrt(2 * pi * s) * exp(-(y - m)^2 / (2 * s))
}
postscript(
  file=paste(path, "Ex03.eps", sep=""), width = 9, height = 9, pointsize = 20,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 3.2, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
par(bty="l")
curve(
  Ex03, 130, 200, n = 1001,
  lty = 1, col = "#E64B6B", lwd = 3, 
  xlab = expression(y),
  ylab = expression(p(y)),
  main = "prior predictive distribution",
  panel.first = grid(NA, NULL, lty = 2, col = "#E9DECA")
)
abline(v = 1000 / 6, lty=2, col = "black")
text(1000 / 6, 0.01, expression(paste(mu, " = ", over(1000, 6))), pos = 4, cex = .8)
dev.off()

