path <- commandArgs()[6]

##############################
Ex04 <- function(y) {
  m1 <- 1000/12
  m2 <- 1000/6
  m3 <- 1000/4
  s1 <- 11000/12^2
  s2 <- 5000/6^2
  s3 <- 3000/4^2
  0.25 * 1 / sqrt(2 * pi * s1) * exp(-(y - m1)^2 / (2 * s1)) +
  0.50 * 1 / sqrt(2 * pi * s2) * exp(-(y - m2)^2 / (2 * s2)) +
  0.25 * 1 / sqrt(2 * pi * s3) * exp(-(y - m3)^2 / (2 * s3))
}
postscript(
  file=paste(path, "Ex04.eps", sep=""), width = 9, height = 9, pointsize = 20,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 3.2, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
par(bty="l")
curve(
  Ex04, 50, 300, n = 1001,
  lty = 1, col = "#E64B6B", lwd = 3, 
  xlab = expression(y),
  ylab = expression(p(y)),
  main = "prior predictive distribution",
  panel.first = grid(NA, NULL, lty = 2, col = "#E9DECA")
)
abline(v = c(1000/12, 1000/6, 1000/4), lty=2, col = "black")
#text(
#  0.25*1000/12 + 0.5*1000/6 + 0.25*1000/4, 0.01,
#  expression(paste(mu, " = 0.25 ", over(1000,12), " + 0.5 ", over(1000,6), " + 0.25 ", over(1000,4))),
#  pos = 4, cex = .8
#3)
dev.off()

