path <- commandArgs()[6]

##############################
load(paste(path, "football.RData", sep=""))
result <- (football$favorite - football$underdog) - football$spread
td <- sum(result^2) / length(result)
n  <- length(result)

f.pos <- function(x, nu, s) {
  exp(
    (nu / 2) * log(nu / 2) + (nu / 2) * log(s) - (nu / 2 + 1) * log(x) -
    (nu * s / (2 * x)) - lgamma(nu / 2)
  )
}

##############################
postscript(
  file=paste(path, "Ex23-1.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 3.2, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
par(bty="l")
nu0a <- 36; s0a <- 94.444
nu1 <- nu0a + n; s1 <- (nu0a * s0a + n * td) / nu1
plot(
  seq(160, 240), f.pos(seq(160, 240), nu1, s1),
  lty = 1, col = "#E64B6B", lwd = 6, type="l",
  xlab = expression(sigma^2), ylab="density", ylim=c(0,0.04),
  main = "posterior density (a)",
  panel.first = grid(NULL, NULL, lty = 2, col = "#E9DECA")
)
abline(v=nu1/(nu1+2)*s1, lty=2)
dev.off()

##############################
postscript(
  file=paste(path, "Ex23-2.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 3.2, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
par(bty="l")
nu0b <- 2.97; s0b <- 28.174
nu1 <- nu0b + n; s1 <- (nu0b * s0b + n * td) / nu1
plot(
  seq(160, 240), f.pos(seq(160, 240), nu1, s1),
  lty = 1, col = "#E64B6B", lwd = 6, type="l",
  xlab = expression(sigma^2), ylab="density", ylim=c(0,0.04),
  main = "posterior density (b)",
  panel.first = grid(NULL, NULL, lty = 2, col = "#E9DECA")
)
abline(v=nu1/(nu1+2)*s1, lty=2)
dev.off()


##############################
postscript(
  file=paste(path, "Ex23-3.eps", sep=""), width = 9, height = 9, pointsize = 24,
  horizontal = FALSE, onefile = FALSE, paper = "special",
  family="Palatino"
)
par(mar=c(3.2, 3.2, 1.5, 0.5), mgp=c(2.0, 0.7, 0))
par(bty="l")
nu1 <- n; s1 <- td
plot(
  seq(160, 240), f.pos(seq(160, 240), nu1, s1),
  lty = 1, col = "#E64B6B", lwd = 6, type="l",
  xlab = expression(sigma^2), ylab="density", ylim=c(0,0.04),
  main = "posterior density (noninfo.)",
  panel.first = grid(NULL, NULL, lty = 2, col = "#E9DECA")
)
abline(v=nu1/(nu1+2)*s1, lty=2)
dev.off()
